concepts.hpp File Reference

## Variables

template<typename T >
concept | ranges::ccontainer
| \concept container More...
concept | ranges::container_ =
template<typename T >
| ranges::CPP_TEMPLATE_AUX_1
| \concept container_ More...
template<typename T >
concept | ranges::llvalue_container_like
| \concept lvalue_container_like More...
concept | ranges::lvalue_container_like_ =
template<typename C >
concept | ranges::reservable_ = requires( C & c, C const & cc ) { c.reserve(ranges::size(c)), cc.capacity(), cc.max_size(), concepts::requires_<same_as<decltype(cc.capacity()), decltype(ranges::size(c))>>, concepts::requires_<same_as<decltype(cc.max_size()), decltype(ranges::size(c))>> ; }
| \concept reservable_ More...
template<typename C , typename I >
concept | ranges::reservable_with_assign_ = requires( C & c, I i ) { c.assign(i, i) ; }
| \concept reservable_with_assign_ More...
template<typename C >
concept | ranges::rrandom_access_reservable
| \concept random_access_reservable More...
template<typename C >
concept | ranges::rreservable
| \concept reservable More...
template<typename C , typename I >
concept | ranges::rreservable_with_assign
| \concept reservable_with_assign More...
template<typename T >
concept | ranges::ssemi_container
| \concept semi_container More...